Bug 224254

Summary: Review Request: boswars - Real-time strategy game using the Stratagus game engine
Product: [Fedora] Fedora Reporter: Peter Lemenkov <lemenkov>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: chris.stone, hdegoede, jpmahowald
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-03 18:18:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Peter Lemenkov 2007-01-24 16:04:37 EST
Spec URL: http://lemenkov.googlepages.com/bos.spec

Description: Invasion - Battle of Survival is a real-time strategy game using the 
Stratagus game engine

Unfortunately I haven't enough space to host whole SRPM, so I give only direct links to the spec-file, shell script for starting game and path to the main source archive:

http://lemenkov.googlepages.com/bos.spec
http://lemenkov.googlepages.com/bos.sh
http://bos.seul.org/files/bos_2_0_1.tar.gz

The main doubt for me is the name of package. Should it be bos or battle-of-survival or stratagus-bos?
Comment 1 Peter Lemenkov 2007-01-24 16:25:09 EST
Oops!
Accidentally forotten patch:

http://lemenkov.googlepages.com/bos-2.0.1-fixes.patch
Comment 2 Xavier Lamien 2007-01-24 22:12:17 EST
>Unfortunately I haven't enough space to host whole SRPM, so I give only direct
>links to the spec-file, shell script for starting game and path to the main
>source archive:


I don't really know if it's approved on bugzilla...

However,

> The main doubt for me is the name of package. Should it be bos or
>battle-of-survival or stratagus-bos?

Your package must have the same name than your tarball name as well as your spec
file.

A lot of thing must be fix in your spec file.
I'll make a full review of your package within a few days.


Comment 4 Christopher Stone 2007-01-30 17:15:47 EST
I would suggest using battle-of-survival.  bos is too generic.  See for example,
the flight-of-the-amazon-queen and beneath-a-steel-sky review requests for
naming guidelines.  These packages use the long names instead of the shortened
fotaq/bass names.
Comment 5 Trond Danielsen 2007-02-05 04:33:27 EST
I have updated the spec file according to the comments, and added a desktop
file. An icon is still missing though...

The package build with mock, and rpmlint reports no errors or warning.s

Eveything can be found here: ftp://open-gnss.org/pub/fedora/battle-of-survival/
Comment 6 Sander Hoentjen 2007-02-09 04:12:24 EST
during building i got:
+ desktop-file-install --vendor=fedora
--dir=/var/tmp/battle-of-survival-2.0.1-3-root-tjikkun/usr/share/applications
/home/tjikkun/rpmbuild/SOURCES/battle-of-survival.desktop
/home/tjikkun/rpmbuild/SOURCES/battle-of-survival.desktop: key "Categories"
string list not semicolon-terminated, fixing
/var/tmp/battle-of-survival-2.0.1-3-root-tjikkun/usr/share/applications/fedora-battle-of-survival.desktop:
warning: The 'Application' category is not defined by the desktop entry
specification.  Please use one of "AudioVideo", "Audio", "Video", "Development",
"Education", "Game", "Graphics", "Network", "Office", "Settings", "System",
"Utility" instead

It did build ok. Trying to run however failed on my x86_64:
$ battle-of-survival 
Maybe you need to specify another gamepath with '-d /path/to/datadir'?
This is because /usr/bin/battle-of-survival still has stratagus -d /usr/share/bos

Sander
Comment 7 Peter Lemenkov 2007-03-05 16:21:55 EST
FYI Battle of Survival renamed to Bos Wars.

New site containing new version 2.3 can be found here:

http://www.boswars.org/index.shtml

I uploaded new stull (w/o main source tarball) here:

http://lemenkov.newmail.ru/other/boswars/

Right now it can't be started with new version (2.2.3) of stratagus.

Comment 8 Peter Lemenkov 2007-03-05 16:23:59 EST
s/stull/stuff/g
Comment 9 Hans de Goede 2007-03-07 04:08:08 EST
Peter,

I just read that BOS has been renamed to "Bos Wars" and no include its own
(modfied, sigh) fork of stratagus.

The good news is that they (the BOS team) are no supporting lua5.1 with this
fork out of the box.

So I guess its time todo a new version and review that, maybe even in a new
review request, but I'll leave that up to you.
Comment 10 Hans de Goede 2007-04-02 14:04:21 EDT
Peter, are you still interested in this? IOW ping?
Comment 11 Hans de Goede 2007-04-02 14:06:34 EDT
Forget my last 2 comments please, I just saw in comment 7 that you already
packaged 2.3, duh!
Comment 12 Peter Lemenkov 2007-04-02 16:27:28 EDT
(In reply to comment #11)
> Forget my last 2 comments please, I just saw in comment 7 that you already
> packaged 2.3, duh!

Actually I still can't make it work with default stratagus. Things looks like we
should focus on packaging previous release first instead of making patch-fest
with unclear results with the latest one.
Comment 13 Hans de Goede 2007-04-02 16:33:21 EDT
Why don't you just use the included stratagus? They forked stratagus as they
wanted to make some changes there, so the new boswars is not designed to work
with the plain stratagus. I think its necessary (and OK) to also package the
included stratagus version together with the data. Much like tremulous which is
a modified quake engine comes with its own copy, which also is packaged as par
of the tremulous package, even though the code is 95-99% quake.
Comment 14 Hans de Goede 2007-04-17 14:07:11 EDT
Peter, are you still interested in this? Maybe we can exchange reviews? I myself
also have several game packages awaiting review:

* asc-music - Background music for the game asc -
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233256 - requires asc
* vegastrike - 3D OpenGL spaceflight simulator -
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233782
* vegastrike-data - Data files for Vega Strike -
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233783
* ballz - Platform game with some puzzle elements -
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=236798
Comment 15 John Mahowald 2007-04-22 18:33:01 EDT
It builds but does not run:

Loading AI: passive.lua
src/ai/script_ai.cpp:345: incorrect argument
incorrect argument
stack traceback:
        [C]: in function 'DefineAi'
        [string "/usr/share/boswars/scripts/ai.lua"]:43: in function 'RegisterAi'
        [string "/usr/share/boswars/scripts/ais/passive.lua"]:34: in main chunk
        [C]: in function 'Load'
        [string "/usr/share/boswars/scripts/ai.lua"]:101: in main chunk
        [C]: in function 'Load'
        [string "/usr/share/boswars/scripts/stratagus.lua"]:220: in main chunk


I traced this down to stratagus vs. bundled boswars stratagus fork. In
ai/script_ai.cpp, CclDefineAi function, stratagus from Fedora srpm checks for 4
arguments, the bundled boswars engine 3. Unless you want to patch the scripts
and whatever else boswars does differently to match stratagus, this seems
another vote for using included stratagus.
Comment 16 Hans de Goede 2007-05-03 14:09:53 EDT
Peter, ping?

I'm willing to review this for you, but first please provide a new srpm based on
the latest upstream release, using the included stratagus fork. Since this is
clearly different (and becoming more different every release) from the
stand-alone stratagus project, it is ok to include the private fork. Just like
is done with many games which come with modded quake engines.
Comment 17 Peter Lemenkov 2007-05-04 00:18:29 EDT
(In reply to comment #16)
> Peter, ping?

Still here!

> I'm willing to review this for you, but first please provide a new srpm based on
> the latest upstream release, using the included stratagus fork. Since this is
> clearly different (and becoming more different every release) from the
> stand-alone stratagus project, it is ok to include the private fork. Just like
> is done with many games which come with modded quake engines.

OK.
I'll do it in a couple of days.

Comment 19 Hans de Goede 2007-05-06 03:11:55 EDT
(In reply to comment #18)
> 
> Still using internal version of guichan and tolua instead of system ones.

Didn't we fix that already for the stand-alone stratagus, couldn't those patches
be easily ported over? I think this is a blocker, so I would like to have this
sorted out before doing a full review.
Comment 20 Jason Tibbitts 2007-07-04 11:40:02 EDT
Has there been any progress here?
Comment 21 Jason Tibbitts 2007-07-27 19:21:28 EDT
It's been 2.5 months since the last response from the submitter; setting
NEEDINFO.  I'll close this ticket soon if there's no response.
Comment 22 Jason Tibbitts 2007-08-03 18:18:14 EDT
And still no response; closing.